- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- $
- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - u -

- u_char : types.h
- u_int : types.h
- u_int16_t : types.h
- u_int32_t : types.h
- u_int64_t : types.h
- u_int8_t : types.h
- u_long : types.h
- u_quad_t : math.h
- u_short : types.h
- ubixDescriptorTable : idt.c, main.c, gdt.h
- UBIXDISKMAGIC : ubixfs.h
- UBIXFS_ALIGN : ubixfs.h
- UBIXFS_BLOCKSIZE_BYTES : ubixfs.h
- ubixfs_cacheAdd() : dirCache.c, dirCache.h
- ubixfs_cacheDelete() : dirCache.c, dirCache.h
- ubixfs_cacheFind() : dirCache.c, dirCache.h
- ubixfs_cacheNew() : dirCache.c, dirCache.h
- ubixfs_findName() : dirCache.c
- ubixFS_Info : thread.c
- ubixfs_init() : ubixfs.c, ubixfs.h
- ubixfs_initialize() : ubixfs.c, ubixfs.h
- ubixfs_loadData() : ubixfs.c
- ubixfs_thread() : thread.c, ubixfs.h
- ubixFSLoadDir() : directory.c, ubixfs.h
- ubixFSmkDir() : directory.c, ubixfs.h
- ubixFSUnlink() : ubixfs.c, ubixfs.h
- ubixGateDescriptor : gdt.h
- ubixGDT : gdt.h
- ubixStandardDescriptor : gdt.h
- UbixUser : syscall.c
- ubthread_cond_destroy() : ubthread.c, ubthread.h
- ubthread_cond_init() : ubthread.c, ubthread.h
- ubthread_cond_signal() : ubthread.c, ubthread.h
- ubthread_cond_t : ubthread.h
- ubthread_cond_timedwait() : ubthread.c, ubthread.h
- ubthread_cond_wait() : ubthread.c, ubthread.h
- ubthread_create() : ubthread.c, ubthread.h
- ubthread_mutex_destroy() : ubthread.c, ubthread.h
- ubthread_mutex_init() : ubthread.c, ubthread.h
- ubthread_mutex_lock() : ubthread.c, ubthread.h
- ubthread_mutex_t : ubthread.h
- ubthread_mutex_unlock() : ubthread.c, ubthread.h
- ubthread_self() : ubthread.c, ubthread.h
- ubthread_t : ubthread.h
- ufs1_daddr_t : ufs.h
- ufs2_daddr_t : ufs.h
- ufs_init() : ufs.c, ufs.h
- ufs_initialize() : ufs.c, ufs.h
- ufs_lbn_t : ufs.h
- ufs_openFile() : ufs.c
- ufs_readFile() : ufs.c
- ufs_time_t : ufs.h
- ufs_writeFile() : ufs.c
- uid_t : types.h
- uInt : types.h
- uInt16 : types.h
- uInt32 : types.h
- uInt8 : types.h
- uintptr_t : bcopy.c
- UNKNOWN : lnc.h
- unlink() : file.c, file.h
- UNLOCKED : ubthread.h
- usedKernDesc : kmalloc.c
- userFileDescriptor : file.h